Subject: [secdir] draft-ietf-i2rs-rib-data-model

From: Derrell Piper <[email-masked]>
Date: Sat, 17 Feb 2018 15:30:29 -0800

I have reviewed this document as part of the security directorate's
ongoing effort to review all IETF documents being processed by the IESG.
These comments were written primarily for the benefit of the security
area directors.  Document editors and WG chairs should treat these
comments just like any other last call comments.

The summary of the review is Ready.

This document defines a YANG data model for the Routing Information Base
(RIB).

The Security Considerations section states that it's intended to run
over SSH (NETCONF) or TLS (RESTCONF) and thus relies on discretionary
access control defined by these underlying protocols along with the
security of SSH/TLS.  It further calls out the 'RIB', 'route', and
'nexthop' subtrees being defined, as being sensitive.

Useful references: RFC6536 defines the network access control
mechanism, RFC7921 explains the security environment for I2RS, and
RFC8241 discusses the specific security requirements for I2RS.